Subject: bug#53258: Python unable to find modules within a Singularity container created with guix pack

From: Simon Tournier <[email-masked]>
Date: Mon, 06 Feb 2023 18:34:48 +0100

Hi,

On jeu., 02 févr. 2023 at 10:40, Maxim Cournoyer <[email-masked]> wrote:

>> So, upstream hasn't replied at all to the above proposal. How do we move
>> forward? I have a patch that still applies on Python 3.9.9 that we can
>> put into core-updates. Would that be fine?
>
> I haven't revisited that patch, but if you are confident it wouldn't
> break anything in the Python world, core-updates would be a fine place,
> yes.

Maybe for testing this change, you could create one Python interpreter
variant containing the patch.  Then using ’package-with-explicit-python’
package transformation from (guix build-system python) we could build
Python packages and check if it correctly fixes and also incrementally
check if nothing break.  It would avoid a full world rebuild.

Cheers,
simon